Catchups.ai Video creation API
  1. Video Generations
  • Account
    • Get authenticated account summary
      GET
  • Video Generations
    • List video generations
      GET
    • Create a video generation
      POST
    • Get video generation status
      GET
    • List generation scenes
      GET
    • Get completed generation result
      GET
    • Cancel a video generation
      POST
  • Research
    • Create a researched video generation
      POST
  1. Video Generations

List generation scenes

GET
/v1/video-generations/{generationId}/scenes
Returns read-only scene review data for a generation owned by the authenticated workspace.

Request

Path Params

Responses

🟢200OK
application/json
Generation scenes.
Bodyapplication/json

🟠401Unauthorized
🟠404Record Not Found
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/video-generations//scenes'
Response Response Example
200 - Generation scenes
{
    "items": [
        {
            "id": "scene_01HXAMPLE_0",
            "jobId": "job_01HXAMPLE",
            "sceneIndex": 0,
            "status": "completed",
            "prompt": "Open with the source-backed headline and a simple motion graphic.",
            "durationSeconds": 8,
            "errorCode": null,
            "errorMessage": null,
            "createdAt": "2026-05-13T10:01:00.000Z",
            "updatedAt": "2026-05-13T10:04:00.000Z"
        }
    ]
}
Modified at 2026-07-15 21:23:01
Previous
Get video generation status
Next
Get completed generation result
Built with